namespace efl { namespace canvas { 
inline ::efl::eolian::return_traits<void*>::type Surface::native_buffer_get() const
{
   void * __return_value =  ::efl_canvas_surface_native_buffer_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<void*>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Surface::native_buffer_set( ::efl::eolian::in_traits<void*>::type buffer) const
{
   Eina_Bool __return_value =  ::efl_canvas_surface_native_buffer_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<void *,  ::efl::eolian::in_traits<void*>::type>(buffer));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
} } 
namespace eo_cxx {
namespace efl { namespace canvas { 
inline ::efl::eolian::return_traits<void*>::type Surface::native_buffer_get() const
{
   void * __return_value =  ::efl_canvas_surface_native_buffer_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<void*>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Surface::native_buffer_set( ::efl::eolian::in_traits<void*>::type buffer) const
{
   Eina_Bool __return_value =  ::efl_canvas_surface_native_buffer_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<void *,  ::efl::eolian::in_traits<void*>::type>(buffer));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline efl::canvas::Surface::operator ::efl::canvas::Surface() const { return *static_cast< ::efl::canvas::Surface const*>(static_cast<void const*>(this)); }
inline efl::canvas::Surface::operator ::efl::canvas::Surface&() { return *static_cast< ::efl::canvas::Surface*>(static_cast<void*>(this)); }
inline efl::canvas::Surface::operator ::efl::canvas::Surface const&() const { return *static_cast< ::efl::canvas::Surface const*>(static_cast<void const*>(this)); }
} } }

